Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Course

    java.lang.Object
      Course

    public class Course

extends java.lang.Object

Course stores the info for one course

Version:
  1.1
Author:
  Fred Kral

Constructor Summary
`Course()`
`Course(java.lang.String name)`

Method Summary
`void` | `addAssignment(Assignment assignment)`
`boolean` | `equals(Course courseIn)`
`boolean` | `equals(java.lang.String nameIn)`
`boolean` | `getActive()`
`java.util.List<Assignment>` | `getAssignments()`
`java.lang.String` | `getCourseBlock()`
`java.lang.String` | `getCourseTitle()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNickName()`
`void` | `sysPrint()`
`void` | `sysPrintAssignments()`
`void` | `sysPrintAssignmentsAll()`
`void` | `sysPrintAssignmentsRaw()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Course

    public Course()

### Course

    public Course(java.lang.String name)

Method Detail

### addAssignment

    public void addAssignment(Assignment assignment)

### getActive

    public boolean getActive()

### getName

    public java.lang.String getName()

### getCourseTitle

    public java.lang.String getCourseTitle()

### getCourseBlock

    public java.lang.String getCourseBlock()

### getNickName

    public java.lang.String getNickName()

### getAssignments

    public java.util.List<Assignment> getAssignments()

### equals

    public boolean equals(java.lang.String nameIn)

### equals

    public boolean equals(Course courseIn)

### sysPrint

    public void sysPrint()

### sysPrintAssignments

    public void sysPrintAssignments()

### sysPrintAssignmentsAll

    public void sysPrintAssignmentsAll()

### sysPrintAssignmentsRaw

    public void sysPrintAssignmentsRaw()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD